#include<bits/stdc++.h>

using namespace std;

int funkcija(long long int a)
{
    int br=0;
    while(a)
    {
        br++; a/=10;
    }
    return br;
}
long long int stepen(int n)
{
    long long a=1;
    for(int i=0;i<n;i++)
    a*=10;
    return a;
}
int main()
{
    long long int v,brojac=0,a,deset;
    int i,br_cifara;
    scanf("%lld",&v);
    br_cifara=funkcija(v)-1;
    for(i=br_cifara;i>=0;i--)
    {
        deset=stepen(i);
        a=5*deset; while(v>=a) {v-=a;brojac++;}
        a=2*deset; while(v>=a) {v-=a;brojac++;}
        a=deset; while(v>=a) {v-=a;brojac++;}
    }
    printf("%lld",brojac);
}